SPKAC(1SSL)

NOM
spkac - Utilitaire d'affichage et de génération de SPKAC

SYNOPSIS
openssl spkac [-in nom_fichier] [-out nom_fichier] [-key fichier_clef] [-passin param] [-challenge chaîne] [-pubkey] [-spkac nomspkac] [-spksect section] [-noout] [-verify] [-engine id]

DESCRIPTION
La commande spkac analyse des fichiers signés de clefs publiques et défis de Netscape (SPKAC : « Signed Public Key And Challenge »). Elle peut afficher leur contenu, vérifier la signature et produire ses propres SPKAC à partir d'une clef privée.

OPTIONS DE LA COMMANDE

-in nom_fichier
    Indique le fichier à lire en entrée. Par défaut, si cette option n'est pas utilisée, l'entrée standard sera lue. Cette option est ignorée si l'option -key est utilisée.

-out nom_fichier
    Le nom du fichier de sortie. Par défaut, la sortie standard est utilisée.

-key fichier_clef
    Crée un fichier SPKAC en utilisant la clef privée fichier_clef. Les options -in, -noout, -spksect et -verify sont ignorées si cette option est présente.

-passin param
    La source de mot de passe d'entrée. Pour plus de renseignements sur le format de param, consultez la section PARAMÈTRES DE PHRASE SECRÈTE d'openssl(1).

-challenge chaîne
    Indique la chaîne du défi si un SPKAC est créé.

-spkac nom_spkac
    Permettre un autre nom pour la variable qui contient le SPKAC. Par défaut, il s'agit de « SPKAC ». Cette option concerne à la fois les fichiers générés et les fichiers en entrée.

-spksect section
    Permettre un autre nom pour la section contenant le SPKAC. Par défaut, il s'agit de la section « default ».

-noout
    Ne pas afficher la version textuelle du SPKAC (pas utilisé si un SPKAC est créé).

-pubkey
    Afficher la clef publique d'un SPKAC (pas utilisé si un SPKAC est créé).

-verify
    Vérifie la signature numérique du SPKAC fourni.

-engine id
    Indique un moteur (en utilisant son identifiant unique id), et force spkac à essayer d'obtenir une référence fonctionnelle pour le moteur indiqué, et l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

EXEMPLES
Afficher le contenu d'un SPKAC :

 openssl spkac -in spkac.cnf

Vérifier la signature d'un SPKAC :

 openssl spkac -in spkac.cnf -noout -verify

Créer un SPKAC en utilisant la chaîne de défi « salut » :

 openssl spkac -key key.pem -challenge salut -out spkac.cnf

Exemple d'un SPKAC, (les lignes longues ont été coupées pour plus de clarté) :

 SPKAC=MIG5MGUwXDANBgkqhkiG9w0BAQEFAANLADBIAkEA1cCoq2Wa3Ixs47uI7F\
 PVwHVIPDx5yso105Y6zpozam135a8R0CpoRvkkigIyXfcCjiVi5oWk+6FfPaD03u\
 PFoQIDAQABFgVoZWxsbzANBgkqhkiG9w0BAQQFAANBAFpQtY/FojdwkJh1bEIYuc\
 2EeM2KHTWPEepWYeawvHD0gQ3DngSC75YCWnnDdq+NQ3F+X4deMx9AaEglZtULwV\
 4=

NOTES
Un SPKAC créé avec l'ajout des bons composants DN peut être fourni à l'utilitaire ca.

Les SPKAC sont typiquement générés par Netscape quand un formulaire est soumis en contenant l'étiquette KEYGEN dans le cadre d'un processus d'enrôlement de certificats.

La chaîne de défi permet une sorte de preuve primitive de la possession de la clef privée. En vérifiant la signature du SPKAC et un défi aléatoire, une certaine garantie est donnée que l'utilisateur connaît la clef privée correspondant à la clef publique étant certifiée. C'est important pour certaines applications. Sans ce défi, il est possible de réutiliser un SPKAC précédent dans une « attaque par rejeu ».

VOIR AUSSI
ca(1)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.